<ng-container *subscribe="assignmentIndicatorMutation.result$ as indicator">
  <ngx-loading [show]="indicator.isLoading" />
</ng-container>

<ng-container *ngIf="vm$ | async as vm">
  <jds-bi-modal
    id="e-walidata-modal-assign"
    #modal
    [position]="'center'"
  >
    <ng-container ngProjectAs="header">
      <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
        <h6>Tugaskan Uraian</h6>
        <span
          [ngClass]="[jds.py(0), jds.px(5.5), jds.ms(8)]"
          [colorScheme]="colorScheme"
          jdsBiBadge
        >
          {{ vm.selectedIndicator.length }}
        </span>
      </div>
      <button
        class="t-button-close"
        (click)="closeModal()"
        role="button"
        type="button"
      >
        <jds-bi-icon
          [size]="14"
          name="xmark"
        />
      </button>
    </ng-container>
    <ng-container ngProjectAs="body">
      <form
        class="form"
        #eWalidataAssignmentForm="ngForm"
        [formGroup]="formGroup"
        (ngSubmit)="onSubmit()"
        (keydown.enter)="$event.stopPropagation()"
      >
        <!-- Detail -->
        <jds-bi-scrollbar
          [ngClass]="[
            jds.card,
            jds.borderColor(jdsBiColor.gray['500']),
            jds.maxH(350),
            jds.mb(16)
          ]"
        >
          <div [ngClass]="[jds.cardBody, jds.p(16)]">
            <div
              *ngFor="let item of vm.getSelectedIndicatorGroup; let last = last"
              [ngClass]="[!last ? jds.mb(24) : '']"
            >
              <div
                [ngClass]="[
                  jds.fs(11),
                  jds.fw('bold'),
                  jds.text(jdsBiColor.blue['700']),
                  jds.mb(8)
                ]"
              >
                {{ item.businessFieldName }}
              </div>

              <div *ngFor="let row of item.data; let last = last">
                <div
                  [ngClass]="[
                    jds.d('flex'),
                    jds.alignItems('center'),
                    jds.gap(8),
                    jds.mb(6)
                  ]"
                >
                  <div [ngClass]="[jds.fs(12), jds.fw('bold')]">
                    {{ row.indicatorId }}
                  </div>
                  <span
                    *ngIf="row.indicatorStatus"
                    [colorScheme]="getStatusAssignment(row.indicatorStatus)"
                    [variant]="'subtle'"
                    jdsBiBadge
                  >
                    {{ row.indicatorStatus }}
                  </span>
                </div>
                <div [ngClass]="[jds.fs(14)]">
                  {{ row.indicatorName }}
                </div>
                <hr
                  *ngIf="!last"
                  [ngClass]="[jds.bg(jdsBiColor.gray['500']), jds.my(8)]"
                />
              </div>
            </div>
          </div>
        </jds-bi-scrollbar>

        <!-- Tugaskan kepada -->
        <div
          *ngrxLet="f.organization; let iOrganization"
          [ngClass]="jds.mb(16)"
        >
          <label [ngClass]="jds.formLabel">
            Tugaskan kepada <span [ngClass]="jds.text('danger')">*</span>
          </label>
          <ng-container
            *ngIf="vm.listOrganizationSatuData as listOrganizationSatuData"
          >
            <ng-select
              #mapsetTopicSelect
              [items]="
                listOrganizationSatuData.isSuccess
                  ? listOrganizationSatuData.data.list
                  : []
              "
              bindLabel="nama_skpd"
              placeholder="Pilih organisasi perangkat daerah"
              formControlName="organization"
            />
          </ng-container>
          <ng-container
            *ngIf="
              iOrganization?.invalid &&
              (iOrganization?.dirty || iOrganization?.touched)
            "
          >
            <div
              *ngIf="iOrganization?.errors.required"
              [ngClass]="[jds.formText, jds.text('danger')]"
            >
              Harus diisi
            </div>
          </ng-container>
        </div>
      </form>
    </ng-container>
    <ng-container ngProjectAs="footer">
      <div
        [ngClass]="[jds.d('flex')]"
        [style.gap.px]="8"
      >
        <button
          [colorScheme]="'gray'"
          [variant]="'outline'"
          (click)="closeModal()"
          jdsBiButton
          type="button"
        >
          Batal
        </button>
        <button
          [colorScheme]="colorScheme"
          [disabled]="!eWalidataAssignmentForm.valid"
          (click)="eWalidataAssignmentForm.ngSubmit.emit('Save')"
          jdsBiButton
          type="submit"
        >
          Kirim
        </button>
      </div>
    </ng-container>
  </jds-bi-modal>
</ng-container>
